(function(){
	
	var app = angular.module('openmuc.i18n', ['pascalprecht.translate']);

	app.config(function ($translateProvider) {
		
        $translateProvider.translations('en', {
        	WELCOME_TO_OPEN_MUC: 'Welcome to the OpenMUC Framework Administration Utility',
        	APPLICATIONS: 'Applications',
		    DRIVERS: 'Drivers',
		    DASHBOARD: 'Dashboard',
		    DEVICES: 'Devices',
		    CHANNELS: 'Channels',
		    PLOTTER: 'Plotter',
		    DATA_PLOTTER: 'Data Plotter',
		    BAR_PLOTTER: 'Bar Plotter',
		    LIVE_PLOTTER: 'Live Plotter',
		    DATA_LISTER: 'Data Lister',
		    LIVE_PLOTTER_FLOT: 'Live Plotter (Flot)',
		    USERS: 'Users',
		    BUTTON_LANG_EN: 'English',
		    BUTTON_LANG_DE: 'German',
		    LANGUAGE: 'Language',
		    CHANNEL_CONFIGURATOR: 'Channel Configurator',
		    USER_CONFIGURATOR: 'User Configurator',
		    DATA_EXPORTER: 'Data Exporter',
		    HOME: 'Home',
		    CONFIGURATION: 'Configuration',
		    NEW: 'New',
		    EDIT: 'Edit',
		    DELETE: 'Delete',
		    SEARCH: 'Search',
		    OPEN: 'Open',
		    CHANNEL_ACCESS_TOOL: 'Channel Access Tool',
		    CHANNELS_ACCESS_TOOL: 'Channels Access Tool',
		    LOGOUT: 'Logout',
		    EDIT_PROFILE: 'Edit profile',
		    EDIT_DRIVER: 'Edit driver',
		    NEW_DRIVER: 'New driver',
		    SCAN_DRIVER: 'Scan driver',
		    NEW_DEVICE: 'New device',
		    EDIT_DEVICE: 'Edit device',
		    NEW_CHANNEL: 'New channel',
		    EDIT_CHANNEL: 'Edit channel',
		    ADD_DRIVER: 'Add new driver',
		    NO_DRIVERS: 'No drivers',
		    DRIVER_ID: 'Driver ID',
		    ACTION: 'Action',
		    RUNNING: 'Running',
		    ADD_NEW_DRIVER_CONFIGURATION: 'Add new driver configuration',
		    DRIVER_CONFIGURATIONS: 'Driver configurations',
		    DRIVER_ID_HINT: 'The ID that uniquely identifies the driver you want to configure. The driver ID must contain only lower case ASCII letters and digits. Check the driver section in the OpenMUC user guide if you do not know the ID of your driver.',
		    DRIVER_SAMPLING_TIMEOUT_HINT: 'Maximum time that a sampling task may take. The latest record is marked with a timeout flag if the sampling task takes longer.',
		    DRIVER_CONNECT_RETRY_INTERVAL_HINT: 'The amount of time to wait after an unsuccessful connection attempt before retrying to connect.',
		    DRIVER_DISABLED_HINT: 'Disables all communication activity (e.g. sampling, writing, connecting) for this driver. If a driver is disabled this will implicitly override the disabled setting of all devices and channels of this driver. Therefor even if you explicitly enable a device by setting its disabled setting to false it will still be disabled if its driver was disabled. Note that this setting does not stop or otherwise change the state of the driver bundle.',
		    DRIVER_DISABLED: 'Disabled',	
		    DRIVER_CONNECT_RETRY_INTERVAL: 'Connect Retry Interval',
		    DRIVER_SAMPLING_TIMEOUT: 'Sampling Timeout',
		    DRIVER_ID: 'ID',
		    REQUIRED_FIELDS: 'Required fields',
		    DEFAULT_LEFT_BLANK: 'Default (if left blank)',
		    FALSE: 'False',
		    TRUE: 'True',
		    UNLIMITED: 'unlimited',
		    DRIVER_ID_REQUIRED: 'The driver ID is required.',
		    SUBMIT: 'Submit',
		    DRIVER_UPDATED_SUCCESSFULLY: 'The driver was successfully updated.',
		    DRIVER_UPDATED_ERROR: 'The driver was not successfully updated.',
		    NO_DEVICES: 'No devices',
		    OPTIONS: 'Options',
		    STATE: 'State',
		    ADD_DEVICE: 'Add new device',
		    ADD_DEVICE_TO: 'Add new device to',
		    DEVICE_CONFIGURATION: 'Device configuration',
		    DEVICE_ID: 'ID',
		    DEVICE_DESCRIPTION: 'Description',
		    DEVICE_ADDRESS: 'Device Address',
		    DEVICE_SETTINGS: 'Settings',
		    DEVICE_SAMPLING_TIMEOUT: 'Sampling Timeout',
		    DEVICE_CONNECT_RETRY_INTERVAL: 'Connect Retry Interval',
		    DEVICE_DISABLED: 'Disabled',
		    DEVICE_VALUE_SET_DRIVER_CONFIGURATION: 'Value set in driver configuration',
		    DEVICE_NAME_REQUIRED: 'The device name is required',
		    DEVICE_ID_HINT: 'The ID of the device.',
		    DEVICE_DESCRIPTION_HINT: 'The description of the device. Exists for informational purposes only.',
		    DEVICE_SAMPLING_TIMEOUT_HINT: 'Maximum time that a sampling task may take. The latest record is marked with a timeout flag if the sampling task takes longer.',
		    DEVICE_CONNECT_RETRY_INTERVAL_HINT: 'The amount of time to wait after an unsuccessful connection attempt before retrying to connect.',
		    DEVICE_DISABLED_HINT: 'Disables all communication activity (e.g. sampling, writing, connecting) for this device. If a device is disabled this will implicitly override the disabled setting of all channels of this device. Therefor even if you explicitly enable a channel by setting its disabled setting to false it will still be disabled if its device (or driver) was disabled.',
		    DRIVER: 'Driver',
		    ADD_CHANNEL: 'Add new channel',
		    CHANNEL_ID: 'ID',
		    DESCRIPTION: 'Description',
		    DEVICE: 'Device',
		    ADD_CHANNEL_TO: 'Add new channel to device',
		    EDIT_CHANNEL: 'Edit channel',
		    CHANNEL_CONFIGURATION: 'Channel configuration',
		    CHANNEL_DESCRIPTION: 'Description',
		    CHANNEL_ADDRESS: 'Channel Address',
		    CHANNEL_VALUE_TYPE: 'Channel Type',
		    CHANNEL_VALUE_LENGTH: 'Value Length',
		    CHANNEL_SCALING_FACTOR: 'Scaling Factor',
		    CHANNEL_VALUE_OFFSET: 'Value Offset',
		    CHANNEL_UNIT: 'Unit',
		    CHANNEL_LOGGING_INTERVAL: 'Logging Interval',
		    CHANNEL_LOGGING_TIME_OFFSET: 'Logging Time Offset',
		    CHANNEL_LISTENING_FOR_DATA: 'Listening for Data',
		    CHANNEL_SAMPLING_INTERVAL: 'Sampling Inverval',
		    CHANNEL_SAMPLING_TIME_OFFSET: 'Sampling Time Offset',
		    CHANNEL_SAMPLING_GROUP: 'Sampling Group',
		    CHANNEL_DISABLED: 'Disabled',
		    CHANNEL_ID_HINT: 'The ID of the channel.',
		    CHANNEL_DESCRIPTION_HINT: 'The description of the channel. Exists for informational purposes only.',
		    CHANNEL_VALUE_TYPE_HINT: 'Data type of the channel. Used on data logger. Driver implementation do NOT receive this settings.',
		    CHANNEL_VALUE_LENGTH_HINT: 'Only used if valueType == BYTE_ARRAY. Determines the maximum length of the byte array.',
		    CHANNEL_SCALING_FACTOR_HINT: 'Is used to scale a value read by a driver or set by an application. The value read by an driver is multiplied with the scalingFactor and a value set by an application is divided by the scalingFactor.',
		    CHANNEL_VALUE_OFFSET_HINT: 'Is used to offset a value read by a driver or set by an application. The offset is added to a value read by a driver and subtracted from a value set by an application.',
		    CHANNEL_UNIT_HINT: 'Physical unit of this channel. For information only (info can be accessed by an app or driver)',
		    CHANNEL_LOGGING_INTERVAL_HINT: 'Time difference until this channel is logged again. -1 or omitting loggingInterval disables logging.',
		    CHANNEL_LOGGING_TIME_OFFSET_HINT: 'Offset of the logging time.',
		    CHANNEL_LISTENING_FOR_DATA_HINT: 'Determines if this channel shall passively listen for incoming value changes from the driver.',
		    CHANNEL_SAMPLING_INTERVAL_HINT: 'Time interval between two attempts to read this channel. -1 or omitting samlingOffset disables sampling on this channel.',
		    CHANNEL_SAMPLING_TIME_OFFSET_HINT: 'Offset of the sampling time.',
		    CHANNEL_SAMPLING_GROUP_HINT: 'For grouping channels. All channels with the same samplingGroup and same samplingInterval are in one group. The purpous of samplingGroups is to improve the drivers performance - if possible.',
		    CHANNEL_DISABLED_HINT: 'Disables all communication activity (e.g. sampling, writing, connecting) for this channel.',
		    DISABLED: 'Disabled',
		    CHANNEL_ID_REQUIRED: 'The channel id is required.',
		    NO_OPTIONS_FILES: 'No Options files found',
		    NO_USERS: 'No users found',
		    ADD_USER: 'Add new user',
		    USERNAME: 'Username',
		    PASSWORD: 'Password',
		    CONFIRM_PASSWORD: 'Confirm Password',
		    NO_CHANNELS: 'No channels',
		    PLOT_OPTIONS: 'Plot options',
		    START_DATE: 'Start date',
		    END_DATE: 'End date',
		    CHANNEL: 'Channel',
		    PLOT_DATA: 'Plot Data',
		    NO_DATA_TO_DISPLAY: 'No Data',
		    SELECT_CHANNELS_TO_EXPORT: 'Select channels to export',
		    PLOT_TIME_PERIOD: 'Time period',
		    REFRESH: 'Refresh',
		    ADD_DEVICES: 'Add devices',
		    SCAN_DRIVER_SETTINGS_HINT: 'Communication parameters that may be needed by the driver in order to scan for new devices. Typical settings are baudrate, username/password, and other protocol options. Syntax for the dummy driver: N.A.',
		    SCANNING: 'Scanning',
		    SCAN_FOR_DEVICES: 'Scan for devices',
		    SCAN_DEVICE: 'Scanned channels of device',
		    SCAN_DEVICE_TAB: 'Scan device',
		    SELECT_CHANNEL: 'Select channels',// (Max 3)',
		    SECONDS: 'Seconds',
		    MINUTES: 'Minutes',
		    HOURS: 'Hours',
		    SHOULD_BE_INTEGER: 'Should be a number',
		    DRIVER_ID_PATTERN_INCORRECT: 'Should contain only letters, numbers, underscores and dashes.',
		    DEVICE_ID_PATTERN_INCORRECT: 'Should contain only letters, numbers, underscores and dashes.',
		    CHANNEL_ID_PATTERN_INCORRECT: 'Should contain only letters, numbers, underscores and dashes.',
		    ADD_CHANNELS: 'Add channels',
		    NOW: 'Now',
		    DRIVER_CREATED_SUCCESSFULLY: 'The driver was successfully created.',
		    DRIVER_CREATED_ERROR: 'The driver was not created. Something went wrong.',
		    DRIVER_UPDATED_SUCCESSFULLY: 'The driver was successfully updated.',
		    DRIVER_UPDATED_ERROR: 'The driver was not successfully updated. Something went wrong.',
		    DRIVER_SCAN_DEVICE_CREATED_SUCCESSFULLY: 'The device was successfully created.',
		    DRIVER_SCAN_DEVICE_CREATED_ERROR: 'The device was not created. Something went wrong.',
		    DRIVER_SCAN_NOT_SUPPORTED: 'The driver does not support scanning.',
		    DRIVER_DELETED_SUCCESSFULLY: 'The driver was successfully deleted.',
		    DEVICE_CREATED_SUCCESSFULLY: 'The device was successfully created.',
		    DEVICE_CREATED_ERROR: 'The device was not created. Something went wrong.',
		    DEVICE_UPDATED_SUCCESSFULLY: 'The device was successfully updated.',
		    DEVICE_UPDATED_ERROR: 'The device was not updated. Something went wrong.',
		    DEVICE_SCAN_CHANNEL_CREATED_SUCCESSFULLY: 'The channel was successfully created.',
		    DEVICE_SCAN_CHANNEL_CREATED_ERROR: 'The channel was not created. Something went wrong.',
		    DEVICE_SCAN_NOT_SUPPORTED: 'The device does not support scanning.',
		    DEVICE_DELETED_SUCCESSFULLY: 'The device was successfully deleted.',
		    CHANNEL_CREATED_SUCCESSFULLY: 'The channel was successfully created.',
		    CHANNEL_CREATED_ERROR: 'The channel was not created. Something went wrong.',
		    CHANNEL_UPDATED_SUCCESSFULLY: 'The channel was successfully updated.',
		    CHANNEL_UPDATED_ERROR: 'The channel was not successfully updated. Something went wrong.',
		    CHANNEL_DELETED_SUCCESSFULLY: 'The channel was successfully deleted.',
		    SELECT_AT_LEAST_ONE_DEVICE: 'Please select at least one device.',
		    USER_UPDATED_SUCCESSFULLY: 'The username was successfully updated.',
		    USER_UPDATED_ERROR: 'The username was not updated. Something went wrong.',
		    USER_PASSWORD_UPDATED_SUCCESSFULLY: 'The password was successfully updated.',
		    USER_PASSWORD_UPDATED_ERROR: 'The password was not updated. Something went wrong.',
		    USER_CREATED_SUCCESSFULLY: 'The user was successfully saved.',
		    USER_CREATED_ERROR: 'The user was not successfully saved. Something went wrong.',
		    SUCCESSFULLY_LOGGED_OUT: 'You have successfully logged out',
		    SESSION_EXPIRED: 'Your session has expired. Please login again',
		    LOADING_APP_DEPENDENCES_ERROR: 'There was an error loading the app dependences',
		    LOGIN_CREDENTIALS_INCORRECT: 'Username or password is incorrect',
		    LATEST_RECORD_UPDATED_EVERY_SECOND: 'The latest record is updated roughly every second.',
		    LATEST_RECORD: 'Latest record',
		    WRITE: 'Write',
		    VALUE: 'Value',
		    VALUES: 'Values',
		    DATE: 'Date',
		    TIME: 'Time',
		    FLAG: 'Flag',
		    BACK_TO_SELECTION: 'Back to selection',
		    CHANNEL_ACCESS_TOOL_CHANNEL_ID: 'Channel ID',
		    ACCESS_SELECTED: 'Access selected',
		    CHANNEL_ACCESS_TOOL_DEVICE_ID: 'Device ID',
		    WRITE_VALUE: 'Write value',
		    OPENMUC_CONFIG_FILES: 'OpenMUC config files',
		    FILE: 'File',
		    EXPORT_DATA_AS_CSV: 'Export data as CSV',
		    EXPORT_OPTIONS: 'Export options',
		    EXPORT_DATA_SINCE: 'Export data since',
		    EXPORT_DATA_UNTIL: 'Export data until',
		    TIME_FORMAT: 'Time format',
		    GENERATE_DATA: 'Generate data',
		    EXPORT: 'Export',
		    LOGIN: 'Login',
		    USERS_CONFIGURATION: 'Users Configuration',
		    USERNAME_REQUIRED: 'The username is required.',
		    PASSWORD_REQUIRED: 'The password is required.',
		    PASSWORD_CONFIRMATION_REQUIRED: 'The password confirmation is required',
		    PASSWORD_DO_NOT_MATCH: 'Passwords do not match.',
		    SAVE: 'Save',
		    EDIT_USER: 'Edit user',
		    CHANGE_USERNAME: 'Change Username',
		    CHANGE_PASSWORD: 'Change Password',
		    NEW_USERNAME: 'New Username',
		    NEW_PASSWORD: 'New Password',
		    CHANGE: 'Change',
		    OLD_PASSWORD: 'Old Password',
		    RETYPE_PASSWORD: 'Retype Password',
		    NEW_PASSWORD_CONFIRMATION_REQUIRED: 'The new password confirmation is required.',
		    NEW_PASSWORD_REQUIRED: 'The new password is required.',
		    OLD_PASSWORD_REQUIRED: 'The old password is required.',
		    USER_DELETED_SUCCESSFULLY: 'The user was successfully deleted.',
		    PV_BATTERY_VISUALIZATION: 'PV Battery Visualization',
		    MEDIA_VIEWER: 'Media Viewer',
		    NO_MEDIA: 'No media files found',
		    CHANNEL_VALUE_UPDATED_SUCCESSFULLY: 'The new value was written to the channel',
		    CHANNEL_VALUE_UPDATED_ERROR: 'The new value was not written to the channel. Something went wrong.',
		});
		
		$translateProvider.translations('de', {
		    DRIVERS: 'Treiber',
		    DASHBOARD: 'Dashboard',
		    DEVICES: 'Geräte',
		    CHANNELS: 'Kanäle',
		    PLOTTER: 'Plotter',
		    USERS: 'Users',
		    BUTTON_LANG_EN: 'Englisch',
		    BUTTON_LANG_DE: 'Deutsch',
		    LANGUAGE: 'Sprache',
		    NOW: 'Jetzt',
		    SECONDS: 'Sekunden',
		    MINUTES: 'Minuten',
		    HOURS: 'Stunden',
		  });
		
        $translateProvider.useCookieStorage();
		$translateProvider.preferredLanguage('en');
    });
		
})();